Skip to main content

Important modem firmware upgrade information

IMPORTANT: Due to upcoming infrastructural changes in some cellular provider networks, some devices need a new modem firmware upgrade. We can upgrade this modem firmware over the air to devices that run on the latest device firmware versions.

Devices with older device firmware versions, will need to be upgraded for us to be able to do the “modem firmware” upgrade over the air.

Not following this recommendation, could result in major connectivity issues in the near future.

Devices at risk
Please update devices with older firmware than:
C22: 2.6.0
C20: 2.6.0
Point: 2.6.0
D10: 1.3.0

or

C22/C20/Point: 2.10.0

Please reach out to your account manager in case you need more support.